import os
import requests
from dotenv import load_dotenv

# Загружаем переменные окружения из .env
load_dotenv()

TOKEN = os.getenv("Git_token")  
USERNAME = "stud179280"          
REPO = "3zadanie"   

url = f"https://git.vyatsu.ru/api/v1/repos/{USERNAME}/{REPO}/issues"
headers = {
    "Authorization": f"token {TOKEN}",
    "Content-Type": "application/json"
}
data = {
    "title": "Тестовая задача от Python",
    "body": "Эта задача была создана через Gitea API с помощью requests",
    "assignees": [USERNAME]
}

response = requests.post(url, json=data, headers=headers)

if response.status_code == 201:
    print("Задача успешно создана!")
    print("URL:", response.json().get("html_url"))
else:
    print("Ошибка при создании задачи:", response.status_code)
    print(response.text)
