import os
import requests
from dotenv import load_dotenv

load_dotenv()

token = os.getenv("Git_token")
if not token:
    raise ValueError("Токен не найден в переменной окружения Git_token")

headers = {
    "Authorization": f"token {token}",
    "Content-Type": "application/json"
}

repo_data = {
    "name": "repo3zad",  
    "description": "Репозиторий создан через Gitea",
    "private": False,
    "auto_init": True
}

url = "https://git.vyatsu.ru/api/v1/user/repos"
response = requests.post(url, headers=headers, json=repo_data)

print("Статус:", response.status_code)
print("Ответ:", response.json())
